
From: Terence Ripperda <tripperda@nvidia.com>

When coming out of standby, some chipsets lose their configuration in pci
config space.  this includes not just the agp master register being lost, but
chipset-specific information, such as the physical address of the gatt table
and other settings.  Calling this configure routine again restores those
settings.

Dave said he was adding chipsets to this list on an "as needed and tested"
basis.  I ran across this problem I believe on a Dell Inspiron 4100 with
nv11.  (there had been some similar problems with specific nv11 systems when
doing apm with the 2.4 kernel, I suspect, but haven't been able to verify,
it's the same problem).


---

 drivers/char/agp/intel-agp.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/char/agp/intel-agp.c~i830-agp-pm-fix drivers/char/agp/intel-agp.c
--- 25/drivers/char/agp/intel-agp.c~i830-agp-pm-fix	2004-02-18 23:04:00.000000000 -0800
+++ 25-akpm/drivers/char/agp/intel-agp.c	2004-02-18 23:04:00.000000000 -0800
@@ -1432,6 +1432,8 @@ static int agp_intel_resume(struct pci_d
 		intel_configure();
 	else if (bridge->driver == &intel_845_driver)
 		intel_845_configure();
+	else if (bridge->driver == &intel_830mp_driver)
+		intel_830mp_configure();
 
 	return 0;
 }

_
